Subject: bug#31079: Windows - Emacs-25.3.1 Can't find source.tex file

From: [email-masked]
Date: Sat, 7 Apr 2018 21:02:39 +0200

I was thinking about possible fixes, even dirty ones, like adding "-output-directory=./" to pdflatex via customize; and similar ones. But it's likely that pdflatex will still not see the files of the tex distribution, like cls files etc.

Anyway, if you want to give this a try, do this:

Issue "M-x customize-apropos" and give "tex-command-list" as an expression (without quotes). Then the full TeX-command-list should appear, and you should find two lines that read somewhat like this:

Name: LaTeX
            Command: %`%l%(mode)%' %t

Now modify the argument of Command:, that is, "%`%l%(mode)%' %t" to this:

pdflatex -interaction=nonstopmode -output-directory=./ \"\\input\" %t

And then save this variable (at the bottom of the full list) for all future sessions. Let me know if this trick works.

I've also tried to issue something like

(start-process "setting TEXINPUTS" nil "set" "TEXINPUTS=.;")

after LaTeX-mode is loaded, but it doesn't seem to change the TEXINPUTS variable in any way...

Cheers,
J

On 2018-04-07 19:56, David Kastrup wrote:
> Liyu Gong <[email-masked]> writes:
> 
>> Hi Joe and David,
>>
>> My values is:
>> .:d:/.emacs.d/elpa/auctex-12.1.1/latex:
>>
>> on the old version which works for the file, the value is:
>> .;d:/.emacs.d/elpa/auctex-11.91.0/latex;
>>
>> Note that the path separator are different, for 12.1.1, it is ":", for
>> 11.91.0, it is ";". I'm not sure whether it is important.
> 
> It likely is.
>